---
title: Wan Text-to-Image
url: https://runapi.ai/zh-CN/docs/api/wan/text-to-image.md
canonical: https://runapi.ai/zh-CN/docs/api/wan/text-to-image
locale: zh-CN
---

# Wan Text-to-Image

## 概览

使用支持的模型创建异步文生视频任务。使用返回的任务 ID 查询状态，或提供 callback_url 接收终态投递。

### 快速开始

1. 创建 API Key，并将其设置为 RUNAPI_API_KEY。
2. 选择一个支持的模型，并发送与该模型 Schema 匹配的 POST 请求。
3. 保存返回的任务 ID，随后轮询到终态，或处理终态回调。

## 端点

POST /api/v1/wan/text_to_image

基础 URL: https://runapi.ai

API 版本: v1

身份验证: Authorization: Bearer YOUR_API_TOKEN

## 支持的模型

打开模型页可查看当前价格、限流和商业使用详情。

- [wan-2.7-image](/models/wan/2.7-image)
- [wan-2.7-image-pro](/models/wan/2.7-image-pro)

## 请求 Schema

字段和允许的取值取决于所选模型。提供 callback_url 后，它会收到任务终态投递。

### wan-2.7-image

```json
{
  "aspect_ratio": {
    "enum": [
      "1:1",
      "16:9",
      "4:3",
      "21:9",
      "3:4",
      "9:16",
      "8:1",
      "1:8"
    ],
    "type": "string"
  },
  "bbox_list": {
    "type": "array"
  },
  "callback_url": {
    "type": "string"
  },
  "color_palette": {
    "type": "array"
  },
  "enable_safety_checker": {
    "type": "boolean"
  },
  "enable_sequential": {
    "type": "boolean"
  },
  "model": {
    "type": "string"
  },
  "output_count": {
    "type": "integer"
  },
  "output_resolution": {
    "enum": [
      "1k",
      "2k",
      "4k"
    ],
    "type": "string"
  },
  "prompt": {
    "type": "string"
  },
  "seed": {
    "type": "integer"
  },
  "source_image_urls": {
    "type": "array"
  },
  "thinking_mode": {
    "type": "boolean"
  },
  "watermark": {
    "type": "boolean"
  }
}
```

### wan-2.7-image-pro

```json
{
  "aspect_ratio": {
    "enum": [
      "1:1",
      "16:9",
      "4:3",
      "21:9",
      "3:4",
      "9:16",
      "8:1",
      "1:8"
    ],
    "type": "string"
  },
  "bbox_list": {
    "type": "array"
  },
  "callback_url": {
    "type": "string"
  },
  "color_palette": {
    "type": "array"
  },
  "enable_safety_checker": {
    "type": "boolean"
  },
  "enable_sequential": {
    "type": "boolean"
  },
  "model": {
    "type": "string"
  },
  "output_count": {
    "type": "integer"
  },
  "output_resolution": {
    "enum": [
      "1k",
      "2k",
      "4k"
    ],
    "type": "string"
  },
  "prompt": {
    "type": "string"
  },
  "seed": {
    "type": "integer"
  },
  "source_image_urls": {
    "type": "array"
  },
  "thinking_mode": {
    "type": "boolean"
  },
  "watermark": {
    "type": "boolean"
  }
}
```

## 创建已接受

HTTP 202 - POST /api/v1/wan/text_to_image

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "tsk_reference_demo",
  "status": "processing"
}
```

## 轮询处理中

HTTP 200 - GET /api/v1/wan/text_to_image/:id

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "tsk_reference_demo",
  "status": "processing"
}
```

## 轮询已完成

HTTP 200 - GET /api/v1/wan/text_to_image/:id

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "tsk_reference_demo",
  "images": [
    {
      "url": "https://file.runapi.ai/reference-image.png"
    }
  ],
  "status": "completed"
}
```

## 轮询失败

HTTP 200 - GET /api/v1/wan/text_to_image/:id

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "error": "Task processing failed.",
  "id": "tsk_reference_demo",
  "status": "failed"
}
```

## 客户回调：已完成

HTTP 200 - POST callback_url

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "tsk_reference_demo",
  "images": [
    {
      "url": "https://file.runapi.ai/reference-image.png"
    }
  ],
  "status": "completed"
}
```

## 客户回调：失败

HTTP 200 - POST callback_url

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "error": {
    "code": "generation_failed",
    "message": "Task processing failed."
  },
  "id": "tsk_reference_demo",
  "status": "failed"
}
```

## 错误

HTTP 400

```json
{
  "error": {
    "code": "invalid_request",
    "message": "A required request field is missing."
  }
}
```

## 生成的代码示例

直接使用 cURL，或安装所用语言的 SDK。每个示例都会提交本参考中经过验证的请求。

### curl

```curl
curl -X POST https://runapi.ai/api/v1/wan/text_to_image \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"model":"wan-2.7-image","prompt":"A paper kite flying above a quiet coastal town at sunrise."}'
```

## 相关指南

- [API 身份验证](/docs/guides/authentication)
- [Task API 快速开始](/docs/guides/task-api/quickstart)
